<?php
/*
Plugin Name: Facebook The Like Box In The Post
Plugin URI: http://cmsvoteup.com/wordpress-plugins/wordpress-facebook-the-like-box-in-the-post/
Description: With this plugin, it will display Facebook The Like Box in a more flexible position in your Wordpress content (post), i.e. top or bottom of the post page. More than that, it also enable to display Facebook The Like Box in selective post using provided Wordpress code template. Facebook The Like Box is a social plugin that enables Facebook Page owners to attract and gain Likes from their own website. The Like Box enables users to: See how many users already like this Page, and which of their friends like it too, Read recent posts from the Page, Like the Page with one click, without needing to visit the Page
Version: 1.0
Author: Leon Wood
Author URI: CMSVoteUp.com
License:  http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/



define("facebook_the_like_box_in_the_post","1.0",false);

function facebook_the_like_box_in_the_post_url( $path = '' ) {
	global $wp_version;
	if ( version_compare( $wp_version, '2.8', '<' ) ) { // Using WordPress 2.7
		$folder = dirname( plugin_basename( __FILE__ ) );
		if ( '.' != $folder )
			$path = path_join( ltrim( $folder, '/' ), $path );

		return plugins_url( $path );
	}
	return plugins_url( $path, __FILE__ );
}

function activate_facebook_the_like_box_in_the_post() {
	global $facebook_the_like_box_in_the_post_options;
	$facebook_the_like_box_in_the_post_options = array('position_button'=>'after',
							   'own_css'=>'float: right;', 
							   'width'=>'480', 'streams'=>'true', 'colorScheme'=>'light', 'showFaces'=>'true', 'header'=>'true', 'creditOn'=>'true', 'pageURL'=>'http://www.facebook.com/pages/CMS-Vote-Up/101900273224629');
	add_option('facebook_the_like_box_in_the_post_options',$facebook_the_like_box_in_the_post_options);
}	

global $facebook_the_like_box_in_the_post_options;	

$facebook_the_like_box_in_the_post_options = get_option('facebook_the_like_box_in_the_post_options');		
	  
register_activation_hook( __FILE__, 'activate_facebook_the_like_box_in_the_post' );

function add_facebook_the_like_box_in_the_post_automatic($content){ 
	global $facebook_the_like_box_in_the_post_options, $post;
 
	$p_title = get_the_title($post->ID);
	$voteUrl = get_permalink( $post->ID ).'&title='.str_replace(' ','+',$p_title).'&referenceUrl='.get_bloginfo( 'url' );
	$own_css = $facebook_the_like_box_in_the_post_options['own_css'];

	$pageURL = $facebook_the_like_box_in_the_post_options['pageURL'];
	$width = $facebook_the_like_box_in_the_post_options['width'];
	$streams = $facebook_the_like_box_in_the_post_options['streams'];
	$colorScheme = $facebook_the_like_box_in_the_post_options['colorScheme'];
	$showFaces =$facebook_the_like_box_in_the_post_options['showFaces'];
	$header = $facebook_the_like_box_in_the_post_options['header'];
	$creditOn = $facebook_the_like_box_in_the_post_options['creditOn'];

	$htmlCode ="<div style='$cssStyle'>";
	$htmlCode .= "<div id=\"fb-root\"></div><script src=\"http://connect.facebook.net/en_US/all.js#xfbml=1\"></script><fb:like-box href=\"$pageURL\" width=\"$width\" show_faces=\"$showFaces\" colorscheme=\"$colorScheme\" stream=\"$streams\" header=\"$header\"></fb:like-box>";
	if ($creditOn == "true") {
		$htmlCode .= "<a href=\"http://cmsvoteup.com/category/wordpress-plugins/\" title=\"Get Facebook The Like Box In The Post Wordpress Plugin\" target=\"_blank\"><img src=\"http://www.cmsvoteup.com/images/power_by_2x2.gif\" border=\"0\"/></a>"; 
	}
	$htmlCode .="</div>";
	
		
	$facebook_the_like_box_in_the_post = $htmlCode;
	if($facebook_the_like_box_in_the_post_options['position_button'] == 'before' ){
		$content = $facebook_the_like_box_in_the_post . $content;
	}
	else if($facebook_the_like_box_in_the_post_options['position_button'] == 'after' ){
		$content = $content . $facebook_the_like_box_in_the_post;
	} else  if($facebook_the_like_box_in_the_post_options['position_button'] == 'before_and_after' ){
		$content = $facebook_the_like_box_in_the_post. $content. $facebook_the_like_box_in_the_post;
	}
	return $content;
}

if ($facebook_the_like_box_in_the_post_options['position_button'] != 'manual'){
	add_filter('the_content','add_facebook_the_like_box_in_the_post_automatic'); 
}

function add_facebook_the_like_box_in_the_post(){
	global $facebook_the_like_box_in_the_post_options, $post;
	$p_title = get_the_title($post->ID);
	$voteUrl = get_permalink( $post->ID ).'&title='.str_replace(' ','+',$p_title).'&referenceUrl='.get_bloginfo( 'url' );
	$own_css = $facebook_the_like_box_in_the_post_options['own_css'];

	$pageURL = $facebook_the_like_box_in_the_post_options['pageURL'];
	$width = $facebook_the_like_box_in_the_post_options['width'];
	$streams = $facebook_the_like_box_in_the_post_options['streams'];
	$colorScheme = $facebook_the_like_box_in_the_post_options['colorScheme'];
	$showFaces =$facebook_the_like_box_in_the_post_options['showFaces'];
	$header = $facebook_the_like_box_in_the_post_options['header'];
	$creditOn = $facebook_the_like_box_in_the_post_options['creditOn'];
		

	$htmlCode ="<div style='$cssStyle'>";
	$htmlCode .= "<div id=\"fb-root\"></div><script src=\"http://connect.facebook.net/en_US/all.js#xfbml=1\"></script><fb:like-box href=\"$pageURL\" width=\"$width\" show_faces=\"$showFaces\" colorscheme=\"$colorScheme\" stream=\"$streams\" header=\"$header\"></fb:like-box>";
	if ($creditOn == "true") {
		$htmlCode .= "<a href=\"http://cmsvoteup.com/joomla-extensions/facebook-like-box-like-recommendation-for-joomla-wordpress/\" title=\"Get Facebook The Like Box In The Post Wordpress Plugin\" target=\"_blank\"><img src=\"http://www.cmsvoteup.com/images/power_by_2x2.gif\" border=\"0\"/></a>"; 
	}
	$htmlCode .="</div>";
			
	$facebook_the_like_box_in_the_post = $htmlCode;

	echo $facebook_the_like_box_in_the_post;
}

// function for adding settings page to wp-admin
function facebook_the_like_box_in_the_post_settings() {
	add_options_page('Facebook The Like Box In The Post', 'Facebook The Like Box In The Post', 9, basename(__FILE__), 'facebook_the_like_box_in_the_post_options_form');
}

function facebook_the_like_box_in_the_post_options_form(){ 
	global $facebook_the_like_box_in_the_post_options;
?>

<div class="wrap">

<div id="poststuff" class="metabox-holder has-right-sidebar" style="float:right;width:30%;"> 
   <div id="side-info-column" class="inner-sidebar"> 
			<div class="postbox"> 
			  <h3 class="hndle"><span>About this Plugin:</span></h3> 
			  <div class="inside">
                <ul>
					<li><a href="http://www.cmsvoteup.com" title="Vote Up your Wordpress Website" >CMS Vote Up!</a></li>
					<li><a href="http://www.dontclickon.com" title="Follow all latest malware & scam in Facebook, Twitter & other social networks" >Dont Click On</a></li>
					<li><a href="http://cmsvoteup.com/all/category/wordpress-plugins/" title="Download other plugins">Plugin Homepage</a></li>					
                </ul> 
              </div> 
			</div> 
     </div>
 </div> <!--end of poststuff --> 


<form method="post" action="options.php">

<?php settings_fields('facebook_the_like_box_in_the_post_options_group'); ?>

<h2>Facebook The Like Box In The Post Options</h2> 

<table class="form-table" style="clear:none;width:70%;">

<tr valign="top">
<th scope="row">Where Facebook The Like Box In The Post will be displayed:</th>
<td><select name="facebook_the_like_box_in_the_post_options[position_button]" id="position_button" >
<option value="before" <?php if ($facebook_the_like_box_in_the_post_options['position_button'] == "before"){ echo "selected";}?> >Before Content</option>
<option value="after" <?php if ($facebook_the_like_box_in_the_post_options['position_button'] == "after"){ echo "selected";}?> >After Content</option>
<option value="before_and_after" <?php if ($facebook_the_like_box_in_the_post_options['position_button'] == "before_and_after"){ echo "selected";}?> >Before and After</option>
<option value="manual" <?php if ($facebook_the_like_box_in_the_post_options['position_button'] == "manual"){ echo "selected";}?> >Manual Insertion</option>
</select><br/>
<b>Note:</b> &nbsp;You can also use this tag <code>add_facebook_the_like_box_in_the_post();</code> for manually insert button to any of your post item.
</td>
</tr>

<tr valign="top">
<th scope="row">Custom CSS for &lt;div&gt; (i.e. float: right;):</th>
<td><input id="own_css" name="facebook_the_like_box_in_the_post_options[own_css]" value="<?php echo $facebook_the_like_box_in_the_post_options['own_css']; ?>"></td>
</td>
</tr>

<tr valign="top">
<th scope="row">Facebook Page URL:</th>
<td><input size="120" id="pageURL" name="facebook_the_like_box_in_the_post_options[pageURL]" value="<?php echo $facebook_the_like_box_in_the_post_options['pageURL']; ?>"></td>
</td>
</tr>

<tr valign="top">
<th scope="row">Width:</th>
<td><input id="width" name="facebook_the_like_box_in_the_post_options[width]" value="<?php echo $facebook_the_like_box_in_the_post_options['width']; ?>"></td>
</td>
</tr>

<tr valign="top">
<th scope="row">Color Scheme:</th>
<td><select name="facebook_the_like_box_in_the_post_options[colorScheme]" id="colorScheme" >
<option value="light" <?php if ($facebook_the_like_box_in_the_post_options['colorScheme'] == "light"){ echo "selected";}?> >light</option>
<option value="dark" <?php if ($facebook_the_like_box_in_the_post_options['colorScheme'] == "dark"){ echo "selected";}?> >dark</option>
</select>
</td>
</tr>


<tr valign="top">
<th scope="row">Show Faces:</th>
<td><select name="facebook_the_like_box_in_the_post_options[showFaces]" id="showFaces" >
<option value="true" <?php if ($facebook_the_like_box_in_the_post_options['showFaces'] == "true"){ echo "selected";}?> >true</option>
<option value="false" <?php if ($facebook_the_like_box_in_the_post_options['showFaces'] == "false"){ echo "selected";}?> >false</option>
</select>
</td>
</tr>


<tr valign="top">
<th scope="row">Stream:</th>
<td><select name="facebook_the_like_box_in_the_post_options[streams]" id="streams" >
<option value="true" <?php if ($facebook_the_like_box_in_the_post_options['streams'] == "true"){ echo "selected";}?> >true</option>
<option value="false" <?php if ($facebook_the_like_box_in_the_post_options['streams'] == "false"){ echo "selected";}?> >false</option>
</select>
</td>
</tr>


<tr valign="top">
<th scope="row">Header:</th>
<td><select name="facebook_the_like_box_in_the_post_options[header]" id="header" >
<option value="true" <?php if ($facebook_the_like_box_in_the_post_options['header'] == "true"){ echo "selected";}?> >true</option>
<option value="false" <?php if ($facebook_the_like_box_in_the_post_options['header'] == "false"){ echo "selected";}?> >false</option>
</select>
</td>
</tr>


<tr valign="top">
<th scope="row">Credit To Author:</th>
<td><select name="facebook_the_like_box_in_the_post_options[creditOn]" id="creditOn" >
<option value="true" <?php if ($facebook_the_like_box_in_the_post_options['creditOn'] == "true"){ echo "selected";}?> >true</option>
<option value="false" <?php if ($facebook_the_like_box_in_the_post_options['creditOn'] == "false"){ echo "selected";}?> >false</option>
</select>
</td>
</tr>


</table>

<p class="submit">
<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>

</form>

</div>
<?php }

// Hook for adding admin menus
if ( is_admin() ){ // admin actions
  add_action('admin_menu', 'facebook_the_like_box_in_the_post_settings');
  add_action( 'admin_init', 'register_facebook_the_like_box_in_the_post_settings' ); 
} 
function register_facebook_the_like_box_in_the_post_settings() { // whitelist options
  register_setting( 'facebook_the_like_box_in_the_post_options_group', 'facebook_the_like_box_in_the_post_options' );
}

?>